import unittest

import jingrow
from jingrow.core.pagetype.scheduled_job_type.scheduled_job_type import insert_events

from jcloud.hooks import scheduler_events


class TestSanity(unittest.TestCase):
	def test_valid_scheduler_events(self):
		for event in insert_events(scheduler_events):
			jingrow.get_attr(event)
